package ru.ibs.socrates.confexporter.config;

import io.swagger.v3.oas.models.ExternalDocumentation;
import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OpenApi3Config {

  @Bean
  public OpenAPI contentOpenApi() {
    return new OpenAPI()
        .info(new Info().title("Confexporter API"))
        .externalDocs(new ExternalDocumentation()
            .url("https://example.com/docs"));
  }

}
